# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "r10k"
  s.version = "2.5.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Adrien Thebo"]
  s.date = "2017-02-08"
  s.description = "    R10K provides a general purpose toolset for deploying Puppet environments and modules.\n    It implements the Puppetfile format and provides a native implementation of Puppet\n    dynamic environments.\n"
  s.email = "adrien@somethingsinistral.net"
  s.executables = ["r10k"]
  s.files = [".gitignore", ".travis.yml", "CHANGELOG.mkd", "CONTRIBUTING.mkd", "Gemfile", "LICENSE", "MAINTAINERS", "README.mkd", "Rakefile", "bin/r10k", "doc/common-patterns.mkd", "doc/dynamic-environments.mkd", "doc/dynamic-environments/configuration.mkd", "doc/dynamic-environments/git-environments.mkd", "doc/dynamic-environments/introduction.mkd", "doc/dynamic-environments/master-configuration.mkd", "doc/dynamic-environments/quickstart.mkd", "doc/dynamic-environments/svn-environments.mkd", "doc/dynamic-environments/usage.mkd", "doc/dynamic-environments/workflow-guide.mkd", "doc/faq.mkd", "doc/git/cloning-and-mirroring.mkd", "doc/git/providers.mkd", "doc/puppetfile.mkd", "doc/updating-your-puppetfile.mkd", "integration/Gemfile", "integration/README.mkd", "integration/Rakefile", "integration/configs/README.mkd", "integration/configs/pe/centos-5-64mda", "integration/configs/pe/centos-6-64mda", "integration/configs/pe/centos-7-64mda", "integration/configs/pe/debian-6-64mda", "integration/configs/pe/debian-7-64mda", "integration/configs/pe/redhat-6-64mda", "integration/configs/pe/redhat-7-64mda", "integration/configs/pe/sles-11-64mda", "integration/configs/pe/sles-12-64mda", "integration/configs/pe/ubuntu-1004-64mda", "integration/configs/pe/ubuntu-1204-64mda", "integration/configs/pe/ubuntu-1404-64mda", "integration/configs/pe/ubuntu-1604-64mda", "integration/files/README.mkd", "integration/files/hiera.yaml", "integration/files/modules/helloworld/manifests/init.pp", "integration/files/modules/hieratest/manifests/init.pp", "integration/files/modules/unicode/files/pretend_unicode", "integration/files/modules/unicode/manifests/init.pp", "integration/files/pre-suite/git_config.pp.erb", "integration/files/pre-suite/prod_env.config", "integration/files/r10k_conf.yaml.erb", "integration/lib/README.mkd", "integration/lib/git_utils.rb", "integration/lib/master_manipulator.rb", "integration/lib/r10k_utils.rb", "integration/manifests/README.mkd", "integration/pre-suite/00_pe_install.rb", "integration/pre-suite/01_git_config.rb", "integration/pre-suite/02_pe_r10k.rb", "integration/pre-suite/03_test_utils.rb", "integration/pre-suite/README.mkd", "integration/scripts/README.mkd", "integration/scripts/setup_r10k_env_centos5.sh", "integration/scripts/setup_r10k_env_centos6.sh", "integration/scripts/setup_r10k_env_rhel7.sh", "integration/scripts/setup_r10k_env_sles11.sh", "integration/scripts/setup_r10k_env_sles12.sh", "integration/scripts/setup_r10k_env_ubuntu1004.sh", "integration/scripts/setup_r10k_env_ubuntu1204.sh", "integration/scripts/setup_r10k_env_ubuntu1404.sh", "integration/tests/Puppetfile/HTTP_PROXY_effects_forge_source.rb", "integration/tests/Puppetfile/HTTP_PROXY_effects_git_source.rb", "integration/tests/README.mkd", "integration/tests/basic_functionality/install_pe_only_module_with_puppetfile.rb", "integration/tests/basic_functionality/negative/attempt_to_install_peonly_module_without_license.rb", "integration/tests/basic_functionality/negative/neg_deploy_with_invalid_r10k_yaml.rb", "integration/tests/basic_functionality/negative/neg_deploy_with_missing_r10k_yaml.rb", "integration/tests/basic_functionality/negative/neg_invalid_git_provider.rb", "integration/tests/basic_functionality/negative/negative_bad_proxy.rb", "integration/tests/basic_functionality/proxy_specified_in_configuration.rb", "integration/tests/basic_functionality/proxy_with_pe_only_module.rb", "integration/tests/basic_functionality/proxy_with_puppetfile.rb", "integration/tests/basic_functionality/rugged_git_provider_with_ssh.rb", "integration/tests/basic_functionality/rugged_git_provider_without_ssh.rb", "integration/tests/command_line/deploy_env_without_mod_update.rb", "integration/tests/command_line/negative/neg_deploy_env_with_module_update.rb", "integration/tests/command_line/negative/neg_invalid_cli_dep_flag.rb", "integration/tests/command_line/negative/neg_invalid_cli_env_flag.rb", "integration/tests/command_line/negative/neg_invalid_cmd_line_arg.rb", "integration/tests/git_source/HTTP_proxy_and_git_source.rb", "integration/tests/git_source/git_source_git.rb", "integration/tests/git_source/git_source_ssh.rb", "integration/tests/git_source/git_source_submodule.rb", "integration/tests/git_source/negative/neg_git_broken_remote.rb", "integration/tests/git_source/negative/neg_git_unauthorized_https.rb", "integration/tests/git_source/negative/neg_git_unauthorized_ssh.rb", "integration/tests/git_source/negative/neg_git_unicode_branch.rb", "integration/tests/purging/content_not_purged_at_root.rb", "integration/tests/purging/default_purging.rb", "integration/tests/user_scenario/basic_workflow/multi_env_1000_branches.rb", "integration/tests/user_scenario/basic_workflow/multi_env_custom_forge_git_module.rb", "integration/tests/user_scenario/basic_workflow/multi_env_custom_forge_git_module_static.rb", "integration/tests/user_scenario/basic_workflow/multi_env_hiera.rb", "integration/tests/user_scenario/basic_workflow/multi_env_multi_source.rb", "integration/tests/user_scenario/basic_workflow/multi_source_custom_forge_git_module.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_bad_basedir.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_bad_forge_module.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_bad_git_module.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_bad_git_module_ref.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_bad_git_remote.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_branch_name_collision.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_disk_full.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_duplicate_module_names.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_inaccessible_forge.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_invalid_env_name.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_invalid_puppet_file.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_module_specified_at_deleted_release.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_read_only.rb", "integration/tests/user_scenario/basic_workflow/negative/neg_specify_deleted_forge_module.rb", "integration/tests/user_scenario/basic_workflow/single_env_10000_files.rb", "integration/tests/user_scenario/basic_workflow/single_env_custom_forge_git_module.rb", "integration/tests/user_scenario/basic_workflow/single_env_custom_forge_module.rb", "integration/tests/user_scenario/basic_workflow/single_env_custom_module.rb", "integration/tests/user_scenario/basic_workflow/single_env_large_files.rb", "integration/tests/user_scenario/basic_workflow/single_env_module_already_installed.rb", "integration/tests/user_scenario/basic_workflow/single_env_module_last_release_deleted.rb", "integration/tests/user_scenario/basic_workflow/single_env_non-existent_base_dir.rb", "integration/tests/user_scenario/basic_workflow/single_env_purge_unmanaged_modules.rb", "integration/tests/user_scenario/basic_workflow/single_env_switch_forge_git_module.rb", "integration/tests/user_scenario/basic_workflow/single_env_unicode_paths.rb", "integration/tests/user_scenario/basic_workflow/single_env_upgrade_forge_mod_revert_change.rb", "integration/tests/user_scenario/complex_workflow/multi_env_add_change_remove.rb", "integration/tests/user_scenario/complex_workflow/multi_env_remove_re-add.rb", "integration/tests/user_scenario/complex_workflow/multi_env_unamanaged.rb", "integration/tests/user_scenario/complex_workflow/single_env_git_module_update.rb", "lib/r10k.rb", "lib/r10k/action/base.rb", "lib/r10k/action/cri_runner.rb", "lib/r10k/action/deploy.rb", "lib/r10k/action/deploy/deploy_helpers.rb", "lib/r10k/action/deploy/display.rb", "lib/r10k/action/deploy/environment.rb", "lib/r10k/action/deploy/module.rb", "lib/r10k/action/puppetfile.rb", "lib/r10k/action/puppetfile/check.rb", "lib/r10k/action/puppetfile/cri_runner.rb", "lib/r10k/action/puppetfile/install.rb", "lib/r10k/action/puppetfile/purge.rb", "lib/r10k/action/runner.rb", "lib/r10k/action/visitor.rb", "lib/r10k/cli.rb", "lib/r10k/cli/deploy.rb", "lib/r10k/cli/ext/logging.rb", "lib/r10k/cli/help.rb", "lib/r10k/cli/puppetfile.rb", "lib/r10k/cli/version.rb", "lib/r10k/deployment.rb", "lib/r10k/deployment/config.rb", "lib/r10k/environment.rb", "lib/r10k/environment/base.rb", "lib/r10k/environment/git.rb", "lib/r10k/environment/name.rb", "lib/r10k/environment/svn.rb", "lib/r10k/errors.rb", "lib/r10k/errors/formatting.rb", "lib/r10k/feature.rb", "lib/r10k/feature/collection.rb", "lib/r10k/features.rb", "lib/r10k/forge/module_release.rb", "lib/r10k/git.rb", "lib/r10k/git/alternates.rb", "lib/r10k/git/cache.rb", "lib/r10k/git/errors.rb", "lib/r10k/git/rugged.rb", "lib/r10k/git/rugged/bare_repository.rb", "lib/r10k/git/rugged/base_repository.rb", "lib/r10k/git/rugged/cache.rb", "lib/r10k/git/rugged/credentials.rb", "lib/r10k/git/rugged/thin_repository.rb", "lib/r10k/git/rugged/working_repository.rb", "lib/r10k/git/shellgit.rb", "lib/r10k/git/shellgit/bare_repository.rb", "lib/r10k/git/shellgit/base_repository.rb", "lib/r10k/git/shellgit/cache.rb", "lib/r10k/git/shellgit/thin_repository.rb", "lib/r10k/git/shellgit/working_repository.rb", "lib/r10k/git/stateful_repository.rb", "lib/r10k/initializers.rb", "lib/r10k/instance_cache.rb", "lib/r10k/keyed_factory.rb", "lib/r10k/logging.rb", "lib/r10k/logging/terminaloutputter.rb", "lib/r10k/module.rb", "lib/r10k/module/base.rb", "lib/r10k/module/forge.rb", "lib/r10k/module/git.rb", "lib/r10k/module/local.rb", "lib/r10k/module/metadata_file.rb", "lib/r10k/module/svn.rb", "lib/r10k/puppetfile.rb", "lib/r10k/settings.rb", "lib/r10k/settings/collection.rb", "lib/r10k/settings/container.rb", "lib/r10k/settings/definition.rb", "lib/r10k/settings/enum_definition.rb", "lib/r10k/settings/helpers.rb", "lib/r10k/settings/list.rb", "lib/r10k/settings/loader.rb", "lib/r10k/settings/mixin.rb", "lib/r10k/settings/uri_definition.rb", "lib/r10k/source.rb", "lib/r10k/source/base.rb", "lib/r10k/source/git.rb", "lib/r10k/source/svn.rb", "lib/r10k/svn.rb", "lib/r10k/svn/remote.rb", "lib/r10k/svn/working_dir.rb", "lib/r10k/util/attempt.rb", "lib/r10k/util/basedir.rb", "lib/r10k/util/commands.rb", "lib/r10k/util/exec_env.rb", "lib/r10k/util/license.rb", "lib/r10k/util/platform.rb", "lib/r10k/util/purgeable.rb", "lib/r10k/util/setopts.rb", "lib/r10k/util/subprocess.rb", "lib/r10k/util/subprocess/result.rb", "lib/r10k/util/subprocess/runner.rb", "lib/r10k/util/subprocess/runner/jruby.rb", "lib/r10k/util/subprocess/runner/posix.rb", "lib/r10k/util/subprocess/runner/pump.rb", "lib/r10k/util/subprocess/runner/windows.rb", "lib/r10k/util/subprocess/subprocess_error.rb", "lib/r10k/util/symbolize_keys.rb", "lib/r10k/version.rb", "locales/config.yaml", "r10k.gemspec", "r10k.yaml.example", "spec/fixtures/empty/.empty", "spec/fixtures/integration/git/puppet-boolean-bare.tar", "spec/fixtures/module/forge/bad_module/metadata.json", "spec/fixtures/module/forge/eight_hundred/Modulefile", "spec/fixtures/module/forge/eight_hundred/metadata.json", "spec/fixtures/unit/puppetfile/argument-error/Puppetfile", "spec/fixtures/unit/puppetfile/invalid-syntax/Puppetfile", "spec/fixtures/unit/puppetfile/load-error/Puppetfile", "spec/fixtures/unit/puppetfile/valid-forge-with-version/Puppetfile", "spec/fixtures/unit/puppetfile/valid-forge-without-version/Puppetfile", "spec/fixtures/unit/util/purgeable/managed_one/expected_1", "spec/fixtures/unit/util/purgeable/managed_one/managed_subdir_1/subdir_expected_1", "spec/fixtures/unit/util/purgeable/managed_one/managed_subdir_1/subdir_unmanaged_1", "spec/fixtures/unit/util/purgeable/managed_one/unmanaged_1", "spec/fixtures/unit/util/purgeable/managed_two/expected_2", "spec/fixtures/unit/util/purgeable/managed_two/unmanaged_2", "spec/fixtures/unit/util/subprocess/runner/no-execute.sh", "spec/integration/git/rugged/bare_repository_spec.rb", "spec/integration/git/rugged/thin_repository_spec.rb", "spec/integration/git/rugged/working_repository_spec.rb", "spec/integration/git/shellgit/bare_repository_spec.rb", "spec/integration/git/shellgit/thin_repository_spec.rb", "spec/integration/git/shellgit/working_repository_spec.rb", "spec/integration/git/stateful_repository_spec.rb", "spec/matchers/exit_with.rb", "spec/matchers/match_realpath.rb", "spec/r10k-mocks.rb", "spec/r10k-mocks/mock_config.rb", "spec/r10k-mocks/mock_env.rb", "spec/r10k-mocks/mock_source.rb", "spec/shared-contexts/git-fixtures.rb", "spec/shared-examples/deploy-actions.rb", "spec/shared-examples/git-repository.rb", "spec/shared-examples/git/bare_repository.rb", "spec/shared-examples/git/thin_repository.rb", "spec/shared-examples/git/working_repository.rb", "spec/shared-examples/puppetfile-action.rb", "spec/shared-examples/settings/ancestry.rb", "spec/shared-examples/subprocess-runner.rb", "spec/spec_helper.rb", "spec/unit/action/cri_runner_spec.rb", "spec/unit/action/deploy/deploy_helpers_spec.rb", "spec/unit/action/deploy/display_spec.rb", "spec/unit/action/deploy/environment_spec.rb", "spec/unit/action/deploy/module_spec.rb", "spec/unit/action/puppetfile/check_spec.rb", "spec/unit/action/puppetfile/cri_runner_spec.rb", "spec/unit/action/puppetfile/install_spec.rb", "spec/unit/action/puppetfile/purge_spec.rb", "spec/unit/action/runner_spec.rb", "spec/unit/action/visitor_spec.rb", "spec/unit/deployment/config_spec.rb", "spec/unit/deployment_spec.rb", "spec/unit/environment/base_spec.rb", "spec/unit/environment/git_spec.rb", "spec/unit/environment/name_spec.rb", "spec/unit/environment/svn_spec.rb", "spec/unit/errors/formatting_spec.rb", "spec/unit/feature_spec.rb", "spec/unit/forge/module_release_spec.rb", "spec/unit/git/alternates_spec.rb", "spec/unit/git/cache_spec.rb", "spec/unit/git/rugged/cache_spec.rb", "spec/unit/git/rugged/credentials_spec.rb", "spec/unit/git/shellgit/cache_spec.rb", "spec/unit/git/stateful_repository_spec.rb", "spec/unit/git_spec.rb", "spec/unit/initializers_spec.rb", "spec/unit/instance_cache_spec.rb", "spec/unit/keyed_factory_spec.rb", "spec/unit/logging/terminaloutputter_spec.rb", "spec/unit/logging_spec.rb", "spec/unit/module/base_spec.rb", "spec/unit/module/forge_spec.rb", "spec/unit/module/git_spec.rb", "spec/unit/module/metadata_file_spec.rb", "spec/unit/module/svn_spec.rb", "spec/unit/module_spec.rb", "spec/unit/puppetfile_spec.rb", "spec/unit/settings/collection_spec.rb", "spec/unit/settings/container_spec.rb", "spec/unit/settings/definition_spec.rb", "spec/unit/settings/enum_definition_spec.rb", "spec/unit/settings/inheritance_spec.rb", "spec/unit/settings/list_spec.rb", "spec/unit/settings/loader_spec.rb", "spec/unit/settings/uri_definition_spec.rb", "spec/unit/settings_spec.rb", "spec/unit/source/base_spec.rb", "spec/unit/source/git_spec.rb", "spec/unit/source/svn_spec.rb", "spec/unit/source_spec.rb", "spec/unit/svn/remote_spec.rb", "spec/unit/svn/working_dir_spec.rb", "spec/unit/util/attempt_spec.rb", "spec/unit/util/commands_spec.rb", "spec/unit/util/exec_env_spec.rb", "spec/unit/util/purgeable_spec.rb", "spec/unit/util/setopts_spec.rb", "spec/unit/util/subprocess/result_spec.rb", "spec/unit/util/subprocess/runner/posix_spec.rb", "spec/unit/util/subprocess/runner/pump_spec.rb", "spec/unit/util/subprocess/runner/windows_spec.rb", "spec/unit/util/subprocess/subprocess_error_spec.rb", "spec/unit/util/subprocess_spec.rb", "spec/unit/util/symbolize_keys_spec.rb"]
  s.homepage = "https://github.com/puppetlabs/r10k"
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.0.14.1"
  s.summary = "Puppet environment and module deployment"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<colored>, ["= 1.2"])
      s.add_runtime_dependency(%q<cri>, ["~> 2.6.1"])
      s.add_runtime_dependency(%q<log4r>, ["= 1.1.10"])
      s.add_runtime_dependency(%q<multi_json>, ["~> 1.10"])
      s.add_runtime_dependency(%q<puppet_forge>, ["~> 2.2"])
      s.add_runtime_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
      s.add_runtime_dependency(%q<minitar>, ["= 0.5.4"])
      s.add_runtime_dependency(%q<gettext-setup>, ["~> 0.5"])
      s.add_development_dependency(%q<rspec>, ["~> 3.1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<yard>, ["~> 0.8.7.3"])
    else
      s.add_dependency(%q<colored>, ["= 1.2"])
      s.add_dependency(%q<cri>, ["~> 2.6.1"])
      s.add_dependency(%q<log4r>, ["= 1.1.10"])
      s.add_dependency(%q<multi_json>, ["~> 1.10"])
      s.add_dependency(%q<puppet_forge>, ["~> 2.2"])
      s.add_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
      s.add_dependency(%q<minitar>, ["= 0.5.4"])
      s.add_dependency(%q<gettext-setup>, ["~> 0.5"])
      s.add_dependency(%q<rspec>, ["~> 3.1"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<yard>, ["~> 0.8.7.3"])
    end
  else
    s.add_dependency(%q<colored>, ["= 1.2"])
    s.add_dependency(%q<cri>, ["~> 2.6.1"])
    s.add_dependency(%q<log4r>, ["= 1.1.10"])
    s.add_dependency(%q<multi_json>, ["~> 1.10"])
    s.add_dependency(%q<puppet_forge>, ["~> 2.2"])
    s.add_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
    s.add_dependency(%q<minitar>, ["= 0.5.4"])
    s.add_dependency(%q<gettext-setup>, ["~> 0.5"])
    s.add_dependency(%q<rspec>, ["~> 3.1"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<yard>, ["~> 0.8.7.3"])
  end
end

